package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallArt;
import com.ruoyi.mall.domain.Vo.ArtVO;

/**
 * 艺术分类Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-02
 */
public interface MallArtMapper
{
    /**
     * 查询艺术分类
     *
     * @param artId 艺术分类主键
     * @return 艺术分类
     */
    public MallArt selectMallArtByArtId(Long artId);

    /**
     * 查询艺术分类列表
     *
     * @param mallArt 艺术分类
     * @return 艺术分类集合
     */
    public List<MallArt> selectMallArtList(MallArt mallArt);

    /**
     * 新增艺术分类
     *
     * @param mallArt 艺术分类
     * @return 结果
     */
    public int insertMallArt(MallArt mallArt);

    /**
     * 修改艺术分类
     *
     * @param mallArt 艺术分类
     * @return 结果
     */
    public int updateMallArt(MallArt mallArt);

    /**
     * 删除艺术分类
     *
     * @param artId 艺术分类主键
     * @return 结果
     */
    public int deleteMallArtByArtId(Long artId);

    /**
     * 批量删除艺术分类
     *
     * @param artIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallArtByArtIds(Long[] artIds);

    /**
     * 艺术分类
     * @return 结果
     */
    public List<ArtVO> selectArtList();
}
